be.fgov.ehealth.commons.core.v1

## Class IdentifierType

- java.lang.Object
- - be.fgov.ehealth.commons.core.v1.IdentifierType

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    BoxIdType, EhboxIdentifierType, MandateType, SenderType

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2026-02-09T10:38:50+01:00",
                 comments="JAXB RI v2.3.7")
      public class IdentifierType
      extends Object
      implements Serializable

  Basic Type identifying any eHealth Actor.

  Java class for IdentifierType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="IdentifierType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="Id" type="{http://www.w3.org/2001/XMLSchema}string"/>
               <element name="Type" type="{http://www.w3.org/2001/XMLSchema}string"/>
               <element name="SubType" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IdentifierType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getId()` Gets the value of the id property.
    `String` | `getSubType()` Gets the value of the subType property.
    `String` | `getType()` Gets the value of the type property.
    `void` | `setId(String value)` Sets the value of the id property.
    `void` | `setSubType(String value)` Sets the value of the subType property.
    `void` | `setType(String value)` Sets the value of the type property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IdentifierType

          public IdentifierType()

  - ### Method Detail

    - #### getId

          public String getId()

      Gets the value of the id property.
      Returns:
        possible object is `String`

    - #### setId

          public void setId(String value)

      Sets the value of the id property.
      Parameters:
        `value` - allowed object is `String`

    - #### getType

          public String getType()

      Gets the value of the type property.
      Returns:
        possible object is `String`

    - #### setType

          public void setType(String value)

      Sets the value of the type property.
      Parameters:
        `value` - allowed object is `String`

    - #### getSubType

          public String getSubType()

      Gets the value of the subType property.
      Returns:
        possible object is `String`

    - #### setSubType

          public void setSubType(String value)

      Sets the value of the subType property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.8.5 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.